# `BONMIN Options` reference manual

Bonmin | Ipopt | Filter-SQP |

- Bonmin
- Wiki
- NEOS
- IBM-CMU OCR
- IBM MINLP
- COIN-OR Home
- Projects
- FAQs
- Download
- Mailing Lists
- Get Involved
- Related Resources
- COIN-OR Foundation
- Events
- Members

## List of filter options

Option | type | B-BB | B-OA | B-QG | B-Hyb
FilterSQP options
eps | F | + | + | + | +
infty | F | + | + | + | +
iprint | I | + | + | + | +
kmax | I | + | + | + | +
maxf | I | + | + | + | +
maxiter | I | + | + | + | +
mlp | I | + | + | + | +
mxlws | I | + | + | + | +
mxws | I | + | + | + | +
rho_init | F | + | + | + | +
tt | F | + | + | + | +
ubd | F | + | + | + | +

#### 0.1 FilterSQP options

eps: Tolerance for SQP solver
The valid range for this real option is 0 < eps < +inf and its default value is 1 ⋅ 10-08.

infty: A large number (1E20)
The valid range for this real option is 0 < infty < +inf and its default value is 1 ⋅ 10+20.

iprint: Print level (0=silent, 3=verbose)
The valid range for this integer option is 0 ≤ iprint ≤ 6 and its default value is 0.

kmax: Dimension of null-space
The valid range for this integer option is -1 ≤ kmax < +inf and its default value is -1.

maxf: Maximum filter length
The valid range for this integer option is 0 ≤ maxf < +inf and its default value is 100.

maxiter: Maximum number of iterations
The valid range for this integer option is 0 ≤ maxiter < +inf and its default value is 1000.

mlp: Maximum level for degeneracy (bqpd)
The valid range for this integer option is 0 ≤ mlp < +inf and its default value is 1000.

mxlws: FINTEGER workspace increment
The valid range for this integer option is 0 ≤ mxlws < +inf and its default value is 500000.

mxws: REAL workspace increment
The valid range for this integer option is 0 ≤ mxws < +inf and its default value is 2000000.

rho_init: Initial trust region size
The valid range for this real option is 0 < rho_init < +inf and its default value is 10.

tt: Parameter for upper bound on filter
The valid range for this real option is 0 < tt < +inf and its default value is 1.25.

ubd: Parameter for upper bound on filter
The valid range for this real option is 0 < ubd < +inf and its default value is 100.